import loadTraits from './traits';
import loadBlocks from './blocks';
import loadComponents from './components';

export default (editor, opts = {}) => {

  const config = {
    blocks: ['form', 'input', 'textarea', 'select',
      'button', 'label', 'checkbox', 'radio'],
    labelTraitMethod: 'Metoda',
    labelTraitAction: 'Akcja',
    labelTraitState: 'Stan',
    labelTraitId: 'ID',
    labelTraitFor: 'Dla',
    labelInputName: 'Pole',
    labelTextareaName: 'Obszar tekstowy',
    labelSelectName: 'Lista rozwijana',
    labelCheckboxName: 'Pole checkbox',
    labelRadioName: 'Pole radio',
    labelButtonName: 'Przycisk',
    labelTraitName: 'Nazwa',
    labelTraitPlaceholder: 'Tekst zastępczy',
    labelTraitValue: 'Wartość',
    labelTraitRequired: 'Wymagane',
    labelTraitType: 'Typ',
    labelTraitOptions: 'Opcje',
    labelTraitChecked: 'Zaznaczone',
    labelTypeText: 'Tekst',
    labelTypeEmail: 'Email',
    labelTypePassword: 'Hasło',
    labelTypeNumber: 'Numer',
    labelTypeSubmit: 'Wyślij',
    labelTypeReset: 'Reset',
    labelTypeButton: 'Przycisk',
    labelNameLabel: 'Etykieta',
    labelForm: 'Formularz',
    labelSelectOption: '- Wybierz opcję -',
    labelOption: 'Opcja',
    labelStateNormal: 'Normal',
    labelStateSuccess: 'Sukces',
    labelStateError: 'Błąd',
    category: 'Formularze',
    ...opts
  };

  loadComponents(editor, config);
  loadTraits(editor, config);
  loadBlocks(editor, config);
};
